Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.async
Class RingBufferLogEventTranslator

    java.lang.Object
      org.apache.logging.log4j.core.async.RingBufferLogEventTranslator

All Implemented Interfaces:
  com.lmax.disruptor.EventTranslator<RingBufferLogEvent>

    public class RingBufferLogEventTranslator

extends Object
implements com.lmax.disruptor.EventTranslator<RingBufferLogEvent>

This class is responsible for writing elements that make up a log event into the ringbuffer `RingBufferLogEvent`. After this translator populated the ringbuffer event, the disruptor will update the sequence number so that the event can be consumed by another thread.

Constructor Summary
`RingBufferLogEventTranslator()`

Method Summary
`void` | `setValues(AsyncLogger asyncLogger, String loggerName, org.apache.logging.log4j.Marker marker, String fqcn, org.apache.logging.log4j.Level level, org.apache.logging.log4j.message.Message message, Throwable thrown, Map<String,String> contextMap, org.apache.logging.log4j.ThreadContext.ContextStack contextStack, String threadName, StackTraceElement location, long currentTimeMillis)`
`void` | `translateTo(RingBufferLogEvent event, long sequence)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RingBufferLogEventTranslator

    public RingBufferLogEventTranslator()

Method Detail

### translateTo

    public void translateTo(RingBufferLogEvent event,
                            long sequence)

  Specified by:
    `translateTo` in interface `com.lmax.disruptor.EventTranslator<RingBufferLogEvent>`

### setValues

    public void setValues(AsyncLogger asyncLogger,
                          String loggerName,
                          org.apache.logging.log4j.Marker marker,
                          String fqcn,
                          org.apache.logging.log4j.Level level,
                          org.apache.logging.log4j.message.Message message,
                          Throwable thrown,
                          Map<String,String> contextMap,
                          org.apache.logging.log4j.ThreadContext.ContextStack contextStack,
                          String threadName,
                          StackTraceElement location,
                          long currentTimeMillis)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.